import { renderless, api } from '@opentinyvue/vue-renderless/picker-column/vue';
import { defineComponent, $prefix, setup } from '@opentinyvue/vue-common';
import '@opentinyvue/vue-theme-mobile/picker-column/index.css';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  name: $prefix + "PickerColumn",
  emits: ["change"],
  props: {
    columnsItem: {
      type: Object,
      default: function _default() {
        return {};
      }
    },
    defaultIndex: Number,
    itemHeight: Number,
    visibleItemCount: Number,
    swipeDuration: Number,
    valueKey: String
  },
  setup: function setup$1(props, context) {
    return setup({
      props,
      context,
      renderless,
      api,
      mono: true
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "tiny-mobile-picker-column"
  }, [_c("div", {
    staticClass: "tiny-mobile-picker-column__mask",
    style: _vm.state.maskStyle
  }), _c("div", {
    staticClass: "tiny-mobile-picker-column__indicator",
    style: {
      height: _vm.itemHeight + "px"
    }
  }), _c("ul", {
    ref: "track",
    staticClass: "tiny-mobile-picker-column__wrapper",
    style: _vm.state.wrapperStyle,
    on: {
      "click": function click($event) {
        return _vm.onClickItem(1);
      }
    }
  }, _vm._l(_vm.state.columnsItem.values, function(item, index) {
    return _c("li", {
      key: index,
      class: {
        "tiny-mobile-picker-column__item": true,
        "is-select": index === _vm.state.currentIndex
      },
      style: {
        height: _vm.itemHeight + "px",
        lineHeight: _vm.itemHeight + "px"
      },
      on: {
        "click": function click($event) {
          $event.stopPropagation();
          return _vm.onClickItem(index);
        },
        "transitionend": _vm.onTransitionEnd
      }
    }, [_vm._v(" " + _vm._s(item) + " ")]);
  }), 0)]);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var PickerColumn = /* @__PURE__ */ function() {
  return __component__.exports;
}();
var version = "2.21.0";
PickerColumn.install = function(Vue) {
  Vue.component(PickerColumn.name, PickerColumn);
};
PickerColumn.version = version;

export { PickerColumn as default };
